# ce_info_center_debug – Manages information center debug configuration on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages information center debug configurations on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
channel_id - |  | Number of a channel. The value is an integer ranging from 0 to 9. The default value is 0.

debug_enable
-

Choices:
- no_use ←
- true
- false

Whether a device is enabled to output debugging information.

debug_level
-

Choices:
- emergencies
- alert
- critical
- error
- warning
- notification
- informational
- debugging

Debug level permitted to output.

debug_time_stamp
-

Choices:
- date_boot
- date_second
- date_tenthsecond
- date_millisecond
- shortdate_second
- shortdate_tenthsecond
- shortdate_millisecond
- formatdate_second
- formatdate_tenthsecond
- formatdate_millisecond

Timestamp type of debugging information.

module_name - |  | Module name of the rule. The value is a string of 1 to 31 case-insensitive characters. The default value is default. Please use lower-case letter, such as [aaa, acl, arp, bfd].

state
-

Choices:
- present ←
- absent

Specify desired state of the resource.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.
- Recommended connection is `netconf`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: CloudEngine info center debug test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: "Config debug time stamp"
        ce_info_center_debug:
          state: present
          debug_time_stamp: date_boot
          provider: "{{ cli }}"

      - name: "Undo debug time stamp"
        ce_info_center_debug:
          state: absent
          debug_time_stamp: date_boot
          provider: "{{ cli }}"

      - name: "Config debug module log level"
        ce_info_center_debug:
          state: present
          module_name: aaa
          channel_id: 1
          debug_enable: true
          debug_level: error
          provider: "{{ cli }}"

      - name: "Undo debug module log level"
        ce_info_center_debug:
          state: absent
          module_name: aaa
          channel_id: 1
          debug_enable: true
          debug_level: error
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | always | k/v pairs of aaa params after module execution Sample: {'debugTimeStamp': 'DATE_BOOT'}
existing dictionary | always | k/v pairs of existing aaa server Sample: {'debugTimeStamp': 'DATE_MILLISECOND'}
proposed dictionary | always | k/v pairs of parameters passed into module Sample: {'state': 'present', 'debug_time_stamp': 'date_boot'}
updates list | always | command sent to the device Sample: ['info-center timestamp debugging boot']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- wangdezhuang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.